Bug 66598 - UI: Letter Wizard
Summary: UI: Letter Wizard
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-04 19:31 UTC by John Hunter
Modified: 2015-02-11 20:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
letter_form.pdf (7.10 KB, application/pdf)
2013-12-29 13:51 UTC, John Hunter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Hunter 2013-07-04 19:31:08 UTC
Problem description: 
The letter wizard produces an inappropriate letter header (addresses etc) for en-uk. In particular, the address seems to be all in one line and the UK post code is completely mangled
Steps to reproduce:
1. ....Open a blank text document
2. ....Select wizard -> letter
3. ....Select recipient and sender; type in name and address:
(name) J.M.D. Hunter
(addr) Greenwood,
           Lynn Lane,
           Shenstone,
           Lichfield
(post code1) WS14
(post code2) 2PQ
(county) Staffordshire
(post to)  ????

Current behavior:
The boxes are totally wrong for the UK;  
the "post to" field is meaningless in this context;
there is no field for a telephone number;
the address is output in tiny script on a single line
Expected behavior:
The normal UK convention is:
1) the address should appear in the same layout as would appear on an envelope -- name/house name/district or street name/village/postal town/county/post code each on seperate lines in the same sized font as the name. (complication: the house name and the village lines are optional).
Optionally the telephone number would appear immediately below the address and below that the date.

At the moment, the wizard absolutely refuses to conform to this convention. The best work around that I can come up with at the moment is to generate a table with the addressee's address on the left and the sender's address, telephone number and date on the right.

Ideally, the letter wizard needs to be more flexible. At the moment, if I need to generate a posh letter, I have to resort to LaTeX.

It would be even more clever if one could select the correct address layout from the appropriate language pack to facilitate international mail.

              
Operating System: Ubuntu
Version: 4.0.3.3 release
Comment 1 tommy27 2013-12-29 00:28:43 UTC
is issue still there with 4.1.4.2?
Comment 2 retired 2013-12-29 00:59:47 UTC
Setting to NEEDINFO until tommy27's ping is answered.

After providing the requested info, please reset this bug to UNCONFIRMED. Thanks :)
Comment 3 John Hunter 2013-12-29 01:20:13 UTC
On Sun, 2013-12-29 at 00:28 +0000, bugzilla-daemon@freedesktop.org
wrote:
> tommy27 changed bug 66598 
>          What
>         Removed
>          Added
> CC
>   
> barta@quipo.it 
> 
> Comment # 1 on bug 66598 from tommy27 
> is issue still there with 4.1.4.2?
> 
> ______________________________________________________________________
> You are receiving this mail because: 
>       * You reported the bug.

Sorry, I do not understand the Question. Version 4.1.4.27 of what?
About shisen-sho delivers:



Version 1.8.4
Using KDE Development Platform 4.8.5 (4.8.5)

Does that help?

John Hunter
Comment 4 tommy27 2013-12-29 08:13:41 UTC
(In reply to comment #3)
> 
> 
> Sorry, I do not understand the Question. Version 4.1.4.27 of what?
> 
> John Hunter

LibreOffice 4.1.4.2 of course.
Comment 5 John Hunter 2013-12-29 11:31:50 UTC
On Sun, 2013-12-29 at 08:13 +0000, bugzilla-daemon@freedesktop.org
wrote:
> Comment # 4 on bug 66598 from tommy27 
> (In reply to comment #3)
> > 
> > 
> > Sorry, I do not understand the Question. Version 4.1.4.27 of what?
> > 
> > John Hunter
> 
> LibreOffice 4.1.4.2 of course.
> 
> ______________________________________________________________________
> You are receiving this mail because: 
>       * You reported the bug.

Sorry. But you original e-mail only had a bug no as a reference. It did
not have any reference to Libre Office that I could see; I took it to be
a KDE bug number. I could have been a Debian or an Ubuntu bug number.
A little more context would have saved a lot of frustration and
confusion.

John Hunter
Comment 6 tommy27 2013-12-29 12:19:04 UTC
the problem is that you should reply to the bugzilla page which is the one you can access at this URL where all the informations are available:
https://bugs.freedesktop.org/show_bug.cgi?id=66598#add_comment

please do not reply directly by your mailer but rather go to the webpage
Comment 7 John Hunter 2013-12-29 13:51:12 UTC
Created attachment 91290 [details]
letter_form.pdf

On Sun, 2013-12-29 at 08:13 +0000, bugzilla-daemon@freedesktop.org
wrote:
> Comment # 4 on bug 66598 from tommy27 
> (In reply to comment #3)
> > 
> > 
> > Sorry, I do not understand the Question. Version 4.1.4.27 of what?
> > 
> > John Hunter
> 
> LibreOffice 4.1.4.2 of course.
> 
> ______________________________________________________________________
> You are receiving this mail because: 
>       * You reported the bug.

The short answer is I have no idea. I am using LO 3.5.7.2.
Upgrading out of Ubuntu/Debian seems to cause other problems.
Has there been any attempt to differentiate between English US and
English UK styles? Do you even know what an English UK formal letter
should look like? (The Redmond concept would appear to be flawed.)

My formal education (Private school & Cambridge University) told me that
a formal letter should be laid out according to the pattern indicated in
the attached document. See also the notes below.

1. In a formal letter, the date format should be: "dd Month yyyy".
2. A formal letter should be written on A4 paper (formally Foolscap).
3. Paper sizes for personal letters are usually Quarto and Octavo
(254x203mm and 203x127mm) which are the sizes of the traditionally
available pads of writing paper; it is considered impolite to write to a
close friend or relation on A4 -- rather like texting in UPPER CASE from
a mobile phone.

I hope that this helps.

John Hunter
Comment 8 QA Administrators 2014-07-08 17:29:32 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 John Hunter 2014-07-08 19:46:08 UTC
I have managed to replicate the shortcomings of the letter wizard with Version 4.1.3.2. The letter wizard, as currently available, is totally inappropriate for
both formal and informal letters written to United Kingdom conventions. Just to list a few:
(1) The wizard does not seem to be conscious of page size; 
(2) There is no plain "page design". Little pictures on a letter is naff!
(3) The template for the layout of a UK address and, in particular, the form and positioning of the post code (zip code on the other side of the Atlantic) is wrong.
(4) The present wizard's idea of a date format is a valid UK date format; however the use of this shortened date format is inapropriate; the preferred format is "dd Month yyyy", e.g. 17 June 2014 or 17th June 2014.

The purpose of a wizard is to help the user to format a letter correctly.
As the wizard is configured at the moment, I cannot use LibreOffice to write a letter. I have to resort to Latex.

My original enquiry was: is there a meta-language I could use to generate a useful UK letter wizard. The informal response was to raise a bug. The current wizard is so badly flawed, I believe that a UK one needs to be written from scratch.

The "NEEDINFO" status would seem to imply that you need more information. To put it in a nutshell, the wizard, as it stands, is not fit for purpose.
Comment 10 John Hunter 2014-07-10 10:11:05 UTC
For the QA team: What changes, if any, have been made to the letter wizard between v4.1.3.3 and v4.1.4.2? From experience, attempting to load versions of LOffice directly, bypassing a Debian repository, end in disaster and requiring effort to restabilise the system after; so, I do not do that any more.
Comment 11 Buovjaga 2014-11-25 10:36:51 UTC
Should be UNCONFIRMED.
Comment 12 John Hunter 2014-11-25 16:59:50 UTC
I have already posted that "NEEDINFO" is rather vague. I have already broadly described the shortcomings of the present "wizard". I have tried again with V4.2.7.2 (Build: 420m0(Build 2)) and have failed to see any significant difference. What other info do you need? I have also tried to find out if there is some intermediate meta-language or notation so that I can can construct a prototype UK letter template/wizard without success. THe ball is in your court.

John Hunter
Comment 13 Robinson Tryon (qubit) 2014-12-09 20:58:11 UTC
(In reply to John Hunter from comment #0)
> Problem description: 
> The letter wizard produces an inappropriate letter header (addresses etc)
> for en-uk. In particular, the address seems to be all in one line and the UK
> post code is completely mangled

> Steps to reproduce:
> 1. ....Open a blank text document

(you can run the wizard without even opening a Text document :-)

> 2. ....Select wizard -> letter
> 3. ....Select recipient and sender; type in name and address:

There are a lot of options before one add a recipient and sender. Based on the comments, choosing the default:

- Business letter -> Elegant  (click 'Next')
- Select the items to be printed: going with defaults again (click 'Next')

> ...Select recipient and sender; type in name and address:
> (name) J.M.D. Hunter
> (addr) Greenwood,
>            Lynn Lane,
>            Shenstone,
>            Lichfield
> (post code1) WS14
> (post code2) 2PQ
> (county) Staffordshire
> (post to)  ????

Using this data for the Sender, and keeping the default "use placeholders for recipient's address"

I don't see boxes for Post Code or Post To. I just have Name/Street/ZIP code/State/City. Perhaps you're using a UK Localization?

> Current behavior:
> The boxes are totally wrong for the UK;  
> the "post to" field is meaningless in this context;
> there is no field for a telephone number;
> the address is output in tiny script on a single line

This all seems plausible, but I can't reproduce the same interface and input boxes. Please let us know your locale, and if there were any other steps I've missed in my reproduction attempt above.

Status -> NEEDINFO

(please change status back to UNCONFIRMED after you've provided the information)
Comment 14 John Hunter 2014-12-09 23:42:57 UTC
I have reloaded the en-uk locale (just in case it became corrupted).
Select 'Formal Personal Letter' \\ Page design 'Elegent'
('Letterhead' and 'Recipient and Sender' both greyed out -- the latter should be 'Sender and Addressee' in the UK!)
'Next' takes you directly to 'Printed Items'. The list of items does not include: 'Addressee in envelope window' nor any mention of the Sender's address.
'Next' takes one to the save to file page.
When one opens the "template" it is unuseful. Addresses still have "City, State, Zip code" -- in the UK we talk about "Town, \\ County, \\ Post Code" all on separate lines. 

If it would help, I can send you a LaTeX 'ukletter.sty' file which I use. The sty file is not perfect; I am in the act of adding options which allow for multiple references. If you need any further detail, please let me know.

John Hunter
Comment 15 Robinson Tryon (qubit) 2014-12-10 00:31:27 UTC
Still testing on LO 4.4.0.0.beta2 + Ubuntu 14.04

(In reply to John Hunter from comment #14)
> I have reloaded the en-uk locale (just in case it became corrupted).

I installed the UK Help and Lang packs, and enabled them via:

Tools -> Options -> Language Settings -> Languages -> Language Of
1) User interface -> English (UK)
2) Locale setting -> English (UK)

> Select 'Formal Personal Letter' \\ Page design 'Elegent'
> ('Letterhead' and 'Recipient and Sender' both greyed out -- the latter
> should be 'Sender and Addressee' in the UK!)
> 'Next' takes you directly to 'Printed Items'. The list of items does not
> include: 'Addressee in envelope window' nor any mention of the Sender's
> address.
> 'Next' takes one to the save to file page.
> When one opens the "template" it is unuseful. Addresses still have "City,
> State, Zip code" -- in the UK we talk about "Town, \\ County, \\ Post Code"
> all on separate lines. 

NOREPRO -- I now have the following:

  <Forename> <Surname>
  <Company>
  <Street>
  <Post Town> <County> <Postcode> 

Are you sure that you have the UK help and lang packs completely installed?
Comment 16 John Hunter 2014-12-10 02:07:11 UTC
According to Synaptic, I have installed 4.2.7-0Ubuntu complete with complete with the en-uk language pack plus the en-gb and the help-en-gb pack.

I have just attempted yet another re-run with the same results.

John Hunter
Comment 17 John Hunter 2014-12-10 02:50:12 UTC
Just to add a comment to Comment 15: "Post Town" is embedded in the Post code and in most cases it will be different from the "Address Town". For example, my address is Middle Cottage, Downington, Lechlade, Glos GL7 3DL; I live in Lechlade and that is where I would like my mail delivered; the "post town" is GLoucester where the sorting used to take place --- sorting is now done by machinery in another town, Swindon. It would be less confusing for UK users if "Post Town" were to be replaced by "Town". The British addressing system goes back almost as far as Doomsday; an attempt to formalise it was made around the time of Henry VIII  when he formally set up the Royal Mail. In 1840, addressing had to be sort of standardised with the increase in traffic as a result of the introduction of the penny post. The last major rationalisation was in the 1960's with the introduction of Post Codes; this was followed by the redrawing of county boundaries in 1974. By now the "new order" is fully accepted. Any deviation of the accepted standard is considered archaic or even impolite!

John Hunter
Comment 18 Robinson Tryon (qubit) 2015-01-02 18:06:07 UTC
(In reply to John Hunter from comment #16)
> According to Synaptic, I have installed 4.2.7-0Ubuntu complete with complete
> with the en-uk language pack plus the en-gb and the help-en-gb pack.

Ah, okay -- a build from Ubuntu.

> I have just attempted yet another re-run with the same results.

Hmmm. Please try with a TDF-created build. It's possible that we're seeing a problem that only exists with the downstream versions:
https://www.libreoffice.org/download/
Comment 19 QA Administrators 2015-02-11 20:02:47 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11